//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "mixer_config.hpp"


namespace QSnd
{


Mixer_Config::Mixer_Config ( ) :
orientation ( Qt::Horizontal )
{
	show_dir[0] = true;
	show_dir[1] = true;
}


bool
Mixer_Config::show_dirs_equal (
	const Mixer_Config & cfg_n ) const
{
	if (
		( show_dir[0] != cfg_n.show_dir[0] ) ||
		( show_dir[1] != cfg_n.show_dir[1] )
	) {
		return false;
	}
	return true;
}


bool
Mixer_Config::operator == (
	const Mixer_Config & cfg_n )
{
	if (
		( show_dir[0] != cfg_n.show_dir[0] ) ||
		( show_dir[1] != cfg_n.show_dir[1] ) ||
		( orientation != cfg_n.orientation )
	) {
		return false;
	}
	return true;
}


bool
Mixer_Config::operator != (
	const Mixer_Config & cfg_n )
{
	return !operator== ( cfg_n );
}


} // End of namespace

