//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "mixer_sliders_proxies_group.hpp"

#include <QContextMenuEvent>
#include <iostream>


namespace QSnd
{


//
// Mixer_Sliders_Proxies_Group
//

Mixer_Sliders_Proxies_Group::Mixer_Sliders_Proxies_Group (
	QObject * parent_n ) :
Wdg::Sliders_Pad_Proxies_Group ( parent_n ),
_mixer_simple_elem ( 0 ),
_snd_dir ( 0 ),
_is_joined ( false ),
_is_visible ( false )
{
}


Mixer_Sliders_Proxies_Group::~Mixer_Sliders_Proxies_Group ( )
{
}


void
Mixer_Sliders_Proxies_Group::set_mixer_simple_elem (
	Snd_Mixer_Simple_Elem * selem_n )
{
	_mixer_simple_elem = selem_n;
}


void
Mixer_Sliders_Proxies_Group::set_snd_dir (
	unsigned char dir_n )
{
	_snd_dir = dir_n;
}


void
Mixer_Sliders_Proxies_Group::set_is_joined (
	bool flag_n )
{
	_is_joined = flag_n;
}


void
Mixer_Sliders_Proxies_Group::update_mixer_values ( )
{
	for ( int ii=0; ii < proxies_sets().size(); ++ii ) {
		static_cast < Mixer_Sliders_Proxies_Set * > (
			proxies_set ( ii ) )->update_mixer_values();
	}
}


} // End of namespace

