//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "mixer_switches_block.hpp"

#include <QHBoxLayout>
#include <QVBoxLayout>


namespace QSnd
{


Mixer_Switches_Block::Mixer_Switches_Block (
	QWidget * parent_n ) :
QWidget ( parent_n ),
_title ( this),
_switches_pad ( this )
{

	{
		QSizePolicy policy ( sizePolicy() );
		policy.setVerticalPolicy ( QSizePolicy::Fixed );
		policy.setHorizontalPolicy ( QSizePolicy::Fixed );
		setSizePolicy ( policy );
	}

	QVBoxLayout * lay_vbox ( new QVBoxLayout() );
	lay_vbox->setContentsMargins ( 0, 0, 0, 0 );
	lay_vbox->setSpacing ( 8 );
	lay_vbox->addWidget ( &_title );
	lay_vbox->addWidget ( &_switches_pad );
	setLayout ( lay_vbox );
}


Mixer_Switches_Block::~Mixer_Switches_Block ( )
{
}


void
Mixer_Switches_Block::set_title (
	const QString & title_n )
{
	QString txt;
	txt += "<h3>";
	txt += title_n;
	txt += "</h3>";

	_title.setText ( txt );
}


void
Mixer_Switches_Block::set_tool_tip (
	const QString & tip_n )
{
	_title.setToolTip ( tip_n );
}


} // End of namespace

