//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_mixer_switches_block_hpp__
#define __INC_mixer_switches_block_hpp__

#include <QWidget>
#include <QFrame>
#include <QLabel>

#include <QList>

#include "switches_pad.hpp"


namespace QSnd
{


///
/// @brief Mixer_Switches_Block
///
class Mixer_Switches_Block :
	public QWidget
{
	public:

	Mixer_Switches_Block (
		QWidget * parent_n = 0 );

	~Mixer_Switches_Block ( );


	const Wdg::Switches_Pad &
	switches_pad ( ) const;

	Wdg::Switches_Pad &
	switches_pad ( );


	void
	set_title (
		const QString & title_n );

	void
	set_tool_tip (
		const QString & tip_n );


	// Private attributes
	private:

	QLabel _title;

	Wdg::Switches_Pad _switches_pad;
};


inline
const Wdg::Switches_Pad &
Mixer_Switches_Block::switches_pad ( ) const
{
	return _switches_pad;
}


inline
Wdg::Switches_Pad &
Mixer_Switches_Block::switches_pad ( )
{
	return _switches_pad;
}


} // End of namespace


#endif


