//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "mixer_switches_proxies_group.hpp"


namespace QSnd
{


//
// Mixer_Switches_Proxies_Group
//

Mixer_Switches_Proxies_Group::Mixer_Switches_Proxies_Group (
	QObject * parent_n ) :
Wdg::Switches_Pad_Proxies_Group ( parent_n ),
_mixer_simple_elem ( 0 ),
_snd_dir ( 0 ),
_is_joined ( false ),
_is_visible ( false )
{
}


Mixer_Switches_Proxies_Group::~Mixer_Switches_Proxies_Group ( )
{
}


void
Mixer_Switches_Proxies_Group::set_mixer_simple_elem (
	Snd_Mixer_Simple_Elem * selem_n )
{
	_mixer_simple_elem = selem_n;
}


void
Mixer_Switches_Proxies_Group::set_snd_dir (
	unsigned char dir_n )
{
	_snd_dir = dir_n;
}


void
Mixer_Switches_Proxies_Group::set_is_joined (
	bool flag_n )
{
	_is_joined = flag_n;
}


void
Mixer_Switches_Proxies_Group::set_is_visible (
	bool flag_n )
{
	_is_visible = flag_n;
}


void
Mixer_Switches_Proxies_Group::update_mixer_values ( )
{
	for ( int ii=0; ii < proxies().size(); ++ii ) {
		mixer_proxy ( ii )->update_mixer_values();
	}
}


} // End of namespace

