//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_mixer_switches_proxy_hpp__
#define __INC_mixer_switches_proxy_hpp__


#include "switches_pad_proxy.hpp"
#include "snd_mixer_simple_elem.hpp"


namespace QSnd
{


///
/// @brief Mixer_Switches_Proxy
///
class Mixer_Switches_Proxy :
	public Wdg::Switches_Pad_Proxy
{
	Q_OBJECT

	// Public methods
	public:

	Mixer_Switches_Proxy (
		QObject * parent_n = 0 );


	Snd_Mixer_Simple_Elem *
	mixer_simple_elem ( ) const;

	void
	set_mixer_simple_elem (
		Snd_Mixer_Simple_Elem * selem_n );


	unsigned char
	snd_dir ( ) const;

	void
	set_snd_dir (
		unsigned char dir_n );


	unsigned int
	channel_idx ( ) const;

	void
	set_channel_idx (
		unsigned int idx_n );


	// Is joined flag

	bool
	is_joined ( ) const;

	void
	set_is_joined (
		bool flag_n );


	QString
	enum_item_name (
		int idx_n );


	// Public slots
	public slots:

	void
	update_mixer_values ( );


	// Protected methods
	protected:

	void
	update_buffers ( );

	void
	switch_state_changed ( );

	void
	enum_index_changed ( );


	// Private attributes
	private:

	Snd_Mixer_Simple_Elem * _mixer_simple_elem;

	const Snd_Mixer_Simple_Elem::Channel_Buffer * _channel_buffer;
	const Snd_Mixer_Simple_Elem::Switch_Buffer * _switch_buffer;
	const Snd_Mixer_Simple_Elem::Enum_Buffer * _enum_buffer;

	unsigned int _channel_idx;

	unsigned char _snd_dir;

	bool _is_joined;

	bool _alsa_updating;
};


inline
Snd_Mixer_Simple_Elem *
Mixer_Switches_Proxy::mixer_simple_elem ( ) const
{
	return _mixer_simple_elem;
}


inline
unsigned char
Mixer_Switches_Proxy::snd_dir ( ) const
{
	return _snd_dir;
}


inline
unsigned int
Mixer_Switches_Proxy::channel_idx ( ) const
{
	return _channel_idx;
}


inline
bool
Mixer_Switches_Proxy::is_joined ( ) const
{
	return _is_joined;
}


} // End of namespace


#endif


