//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_mixer_switches_scroll_area_hpp__
#define __INC_mixer_switches_scroll_area_hpp__

#include "mixer_switches.hpp"

#include <QFrame>
#include <QScrollArea>
#include <QScrollBar>


namespace QSnd
{


///
/// @brief Mixer_Switches_Scroll_Area
///
class Mixer_Switches_Scroll_Area :
	public QScrollArea
{
	Q_OBJECT

	// Public methods
	public:

	Mixer_Switches_Scroll_Area (
		QWidget * parent_n = 0 );

	~Mixer_Switches_Scroll_Area ( );


	// Size hints

	QSize
	sizeHint ( ) const;

	QSize
	minimumSizeHint ( ) const;


	// Members

	Mixer_Switches &
	mixer_switches ( );


	// Protected slots
	protected slots:

	void
	layout_about_to_change ( );

	void
	layout_changed ( );


	// Protected methods
	protected:


	// Private attributes
	private:

	Mixer_Switches _mixer_switches;
};


inline
Mixer_Switches &
Mixer_Switches_Scroll_Area::mixer_switches ( )
{
	return _mixer_switches;
}


} // End of namespace


#endif

