//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_wdg_qslider_hub_hpp__
#define __INC_wdg_qslider_hub_hpp__

#include "shared_pixmap_set_buffer.hpp"

#include "qwidget_style.hpp"

#include "qslider_pixmaps_buffers.hpp"
#include "qslider_painter.hpp"

#include "qcheck_box_pixmaps_buffers.hpp"
#include "qcheck_box_painter.hpp"


namespace QSnd
{


class Pixmaps_Hub
{
	// Public methods
	public:

	Pixmaps_Hub ( );

	~Pixmaps_Hub ( );


	//Wdg::QWidget_Style &
	//style_play ( );

	const Wdg::QWidget_Style &
	style_play ( ) const;


	//Wdg::QWidget_Style &
	//style_cap ( );

	const Wdg::QWidget_Style &
	style_cap ( ) const;


	// Check box

	const Wdg::QCheck_Box_Pixmaps_Buffers &
	check_box_buffers ( ) const;

	void
	set_cb_painter (
		Wdg::Painter::QCheck_Box_Painter * painter_bg_n );



	// Slider

	const Wdg::QSlider_Pixmaps_Buffers &
	slider_buffers ( ) const;

	void
	set_slider_painter (
		Wdg::Painter::QSlider_Painter * painter_n );




	// Private attributes
	private:


	Wdg::QCheck_Box_Pixmaps_Buffers _cb_buffers;

	Wdg::QSlider_Pixmaps_Buffers _slider_buffers;


	Wdg::Painter::QCheck_Box_Painter * _painter_cb;

	Wdg::Painter::QSlider_Painter * _painter_slider;


	Wdg::QWidget_Style _style_play;

	Wdg::QWidget_Style _style_cap;
};


inline
const Wdg::QWidget_Style &
Pixmaps_Hub::style_play ( ) const
{
	return _style_play;
}


inline
const Wdg::QWidget_Style &
Pixmaps_Hub::style_cap ( ) const
{
	return _style_cap;
}


inline
const Wdg::QCheck_Box_Pixmaps_Buffers &
Pixmaps_Hub::check_box_buffers ( ) const
{
	return _cb_buffers;
}


inline
const Wdg::QSlider_Pixmaps_Buffers &
Pixmaps_Hub::slider_buffers ( ) const
{
	return _slider_buffers;
}


} // End of namespace

#endif


