//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qcheck_box_hpp__
#define __INC_qcheck_box_hpp__


#include <QAbstractButton>

#include "qcheck_box_pixmaps_buffers.hpp"


namespace Wdg
{


class QCheck_Box :
	public QAbstractButton
{
	// Public methods
	public:

	QCheck_Box (
		QWidget * parent = 0,
		const QCheck_Box_Pixmaps_Buffers & buff_n = QCheck_Box_Pixmaps_Buffers(),
		const QString & txt_n = QString() );

	~QCheck_Box ( );


	QSize
	sizeHint ( ) const;

	QSize
	minimumSizeHint ( ) const;


	// Pixmaps buffers

	const QCheck_Box_Pixmaps_Buffers &
	pixmaps_buffers ( ) const;

	void
	set_pixmaps_buffers (
		const QCheck_Box_Pixmaps_Buffers & buff_n );


	// Pixmaps config

	const QCheck_Box_Pixmaps_Config &
	pixmaps_config ( ) const;

	void
	set_pixmaps_config (
		const QCheck_Box_Pixmaps_Config & cfg_n );


	// Protected methods
	protected:

	void
	enterEvent (
		QEvent * );

	void
	leaveEvent (
		QEvent * );

	void
	resizeEvent (
		QResizeEvent * event );

	void
	paintEvent (
		QPaintEvent * event );


	void
	update_pixmaps ( );


	// Private attributes
	private:

	SPix::Shared_Pixmap_Set * _pixmaps_bg;
	SPix::Shared_Pixmap_Set * _pixmaps_handle;

	QCheck_Box_Pixmaps_Config _pixmaps_config;
	QCheck_Box_Pixmaps_Buffers _pixmaps_buffers;

	bool _update_pixmaps;
};


inline
const QCheck_Box_Pixmaps_Buffers &
QCheck_Box::pixmaps_buffers ( ) const
{
	return _pixmaps_buffers;
}


inline
const QCheck_Box_Pixmaps_Config &
QCheck_Box::pixmaps_config ( ) const
{
	return _pixmaps_config;
}


} // End of namespace

#endif


