//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qcheck_box_pixmaps_buffers_hpp__
#define __INC_qcheck_box_pixmaps_buffers_hpp__

#include "qcheck_box_pixmaps_config.hpp"
#include "qcheck_box_painter.hpp"


namespace Wdg
{

///
/// @brief QCheck_Box_Pixmaps_Buffers
///

class QCheck_Box_Pixmaps_Buffers {

	// Public methods
	public:

	QCheck_Box_Pixmaps_Buffers (
		SPix::Shared_Pixmap_Set_Buffer * bg_n = 0,
		SPix::Shared_Pixmap_Set_Buffer * handle_n = 0 );


	// Background buffer

	SPix::Shared_Pixmap_Set_Buffer *
	buff_bg ( ) const;

	void
	set_buff_bg (
		SPix::Shared_Pixmap_Set_Buffer * buff_n );


	// Handle buffer

	SPix::Shared_Pixmap_Set_Buffer *
	buff_handle ( ) const;

	void
	set_buff_handle (
		SPix::Shared_Pixmap_Set_Buffer * buff_n );


	// Painter

	void
	set_painter (
		Painter::QCheck_Box_Painter * painter_n );


	// Private attributes
	private:

	SPix::Shared_Pixmap_Set_Buffer * _buff_bg;

	SPix::Shared_Pixmap_Set_Buffer * _buff_handle;
};


inline
SPix::Shared_Pixmap_Set_Buffer *
QCheck_Box_Pixmaps_Buffers::buff_bg ( ) const
{
	return _buff_bg;
}


inline
SPix::Shared_Pixmap_Set_Buffer *
QCheck_Box_Pixmaps_Buffers::buff_handle ( ) const
{
	return _buff_handle;
}



} // End of namespace

#endif


