//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "qcombobox_loop.hpp"

#include <iostream>


namespace Wdg
{


QComboBox_Loop::QComboBox_Loop (
	QWidget * parent ) :
QComboBox ( parent ),
_wheel_accu ( 0 )
{
}


void
QComboBox_Loop::wheelEvent (
	QWheelEvent * event )
{
	int idx ( 0 );
	_wheel_accu += event->delta();
	if ( _wheel_accu >= 120 ) {
		_wheel_accu = 0;
		if ( currentIndex() >= ( count() - 1 ) ) {
			idx = 0;
		} else {
			idx = qMax ( 0, currentIndex() + 1 );
		}
		setCurrentIndex ( idx );
	} else if ( _wheel_accu <= -120 ) {
		_wheel_accu = 0;
		if ( currentIndex() <= 0 ) {
			idx = count() - 1;
		} else {
			idx = qMin ( currentIndex() - 1, count() - 1 );
		}
		setCurrentIndex ( idx );
	}
}


} // End of namespace

