//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qcovered_input_hpp__
#define __INC_qcovered_input_hpp__

#include <QWidget>
#include <QLabel>
#include <QStackedLayout>


namespace Wdg {


class QCovered_Input :
	public QWidget
{
	Q_OBJECT

	// Public methods
	public:

	QCovered_Input (
		QWidget * parent_n = 0 );


	QLabel *
	label ( );

	QWidget *
	input ( );

	void
	set_input_wdg (
		QWidget * wdg_n );


	bool
	input_visible ( ) const;


	// Public slots
	public slots:

	void
	switch_to_label ( );

	void
	switch_to_input ( );

	void
	switch_to_input (
		bool show_n );


	// Protected methods
	protected:

	bool
	event (
		QEvent * event_n );

	bool
	eventFilter (
		QObject * watched,
		QEvent * event_n );


	// Private attributes
	private:

	QStackedLayout _lay_stack;

	QLabel _label;

	QWidget * _input;
};


inline
QLabel *
QCovered_Input::label ( )
{
	return &_label;
}


inline
QWidget *
QCovered_Input::input ( )
{
	return _input;
}


inline
bool
QCovered_Input::input_visible ( ) const
{
	return ( _lay_stack.currentIndex() > 0 );
}


} // End of namespace

#endif


