//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qlabel_elide_hpp__
#define __INC_qlabel_elide_hpp__

#include <QString>
#include <QWidget>


namespace Wdg {


class QLabel_Elide :
	public QWidget
{
	// Public methods
	public:

	QLabel_Elide (
		QWidget * parent = 0 );

	const QString &
	text ( ) const;

	void
	setText (
		const QString txt_n );


	Qt::Alignment
	alignment ( ) const;

	void
	setAlignment (
		Qt::Alignment align_n );


	Qt::TextElideMode
	elideMode ( ) const;

	void
	setElideMode (
		Qt::TextElideMode mode_n );


	QSize
	minimumSizeHint ( ) const;

	QSize
	sizeHint ( ) const;


	// Protected methods
	protected:

	void
	update_text_elided ( );

	void
	resizeEvent (
		QResizeEvent * event_n );

	void
	paintEvent (
		QPaintEvent * event_n );


	// Private attributes
	private:

	QString _text;

	QString _text_elided;

	Qt::Alignment _alignment;

	Qt::TextElideMode _elide_mode;
};


inline
const QString &
QLabel_Elide::text ( ) const
{
	return _text;
}


inline
Qt::Alignment
QLabel_Elide::alignment ( ) const
{
	return _alignment;
}


inline
Qt::TextElideMode
QLabel_Elide::elideMode ( ) const
{
	return _elide_mode;
}


} // End of namespace

#endif


