//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "qlabel_width.hpp"


namespace Wdg
{


QLabel_Width::QLabel_Width (
	QWidget * parent_n ) :
QLabel ( parent_n )
{
}


QSize
QLabel_Width::minimumSizeHint ( ) const
{
	QSize res ( QLabel::minimumSizeHint() );

	int w_min ( fontMetrics().width ( _min_text ) );
	res.setWidth ( qMax ( res.width(), w_min ) );

	return res;
}


QSize
QLabel_Width::sizeHint ( ) const
{
	QSize res ( QLabel::sizeHint() );

	int w_min ( fontMetrics().width ( _min_text ) );
	res.setWidth ( qMax ( res.width(), w_min ) );

	return res;
}


void
QLabel_Width::set_min_text (
	const QString txt_n )
{
	if ( txt_n != _min_text ) {
		_min_text = txt_n;
		updateGeometry();
		adjustSize();
	}
}


} // End of namespace

