//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "qslider_painter.hpp"

#include <iostream>

namespace Wdg
{
namespace Painter
{


QSlider_Painter::QSlider_Painter ( ):
_tick_min_dist ( 8 ),
_pm_cfg ( 0 ),
_pm_cfg_bg ( 0 )
{
}


int
QSlider_Painter::paint_pixmaps (
	SPix::Shared_Pixmap_Set * spms_n,
	int image_type_n )
{
	int res ( -1 );

	if ( spms_n != 0 ) {
		_pm_cfg = spms_n->config();
		if ( _pm_cfg != 0 ) {
			set_current_style ( _pm_cfg->style_id );

			if ( image_type_n == 0 ) {

				// Paint background images
				_pm_cfg_bg = dynamic_cast < const QSlider_Pixmaps_Config_Bg * > ( _pm_cfg );
				if ( _pm_cfg_bg != 0 ) {
					spms_n->set_num_pixmaps ( 3 );
					res = this->paint_bg ( spms_n );
				}

			} else if ( image_type_n == 1 ) {

				// Paint handle images
				spms_n->set_num_pixmaps ( 7 );
				res = this->paint_handle ( spms_n );

			}
		}
	}

	return res;
}


} // End of namespace
} // End of namespace
