//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qslider_painter_box_hpp__
#define __INC_qslider_painter_box_hpp__


#include "qslider_painter.hpp"
#include "qwidget_style_painter.hpp"


namespace Wdg
{
namespace Painter
{



class QSlider_Painter_Box :
	public QSlider_Painter
{
	// Public methods
	public:

	QSlider_Painter_Box ( );


	// Protected methods
	protected:

	// Background

	int
	paint_bg (
		SPix::Shared_Pixmap_Set * spms_n );

	void
	paint_bg_base ( );

	void
	paint_bg_type (
		SPix::Shared_Pixmap_Set * spms_n,
		int pixmap_idx_n );

	void
	paint_bg_area ( );

	void
	paint_bg_area_deco ( );

	void
	paint_bg_frame ( );

	void
	paint_bg_frame_deco ( );

	void
	paint_bg_ticks ( );

	void
	paint_bg_tick (
		qreal tick_pos_n,
		qreal tick_width_n = 0 );


	void
	calc_ticks ( );


	// Handle

	int
	paint_handle (
		SPix::Shared_Pixmap_Set * spms_n );

	void
	paint_handle_type (
		SPix::Shared_Pixmap_Set * spms_n,
		int pixmap_idx_n );

	void
	paint_handle_area ( );

	void
	paint_handle_frame ( );

	void
	paint_handle_items ( );

	void
	paint_marker_current (
		SPix::Shared_Pixmap_Set * spms_n,
		int img_idx_n );

	void
	paint_marker_hint (
		SPix::Shared_Pixmap_Set * spms_n,
		int img_idx_n );


	// Private attributes
	private:

	int _ew; // Edge width
	int _bw; // Border width x,y

	int _bevel;

	int _tick_width[3];

	QImage _img_base;
};



} // End of namespace
} // End of namespace

#endif


