//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "qslider_pixmaps_buffers.hpp"


namespace Wdg
{


//
// QSlider_Pixmaps_Buffers
//
QSlider_Pixmaps_Buffers::QSlider_Pixmaps_Buffers ( ) :
_buff_bg ( 0 ),
_buff_handle ( 0 ),
_painter ( 0 )
{
}


void
QSlider_Pixmaps_Buffers::set_buff_bg (
	SPix::Shared_Pixmap_Set_Buffer * buff_n )
{
	if ( _buff_bg != buff_n ) {
		_buff_bg = buff_n;
		_buff_bg->set_painter ( painter() );
	}
}


void
QSlider_Pixmaps_Buffers::set_buff_handle (
	SPix::Shared_Pixmap_Set_Buffer * buff_n )
{
	if ( _buff_handle != buff_n ) {
		_buff_handle = buff_n;
		_buff_handle->set_painter ( painter() );
	}
}


void
QSlider_Pixmaps_Buffers::set_painter (
	Painter::QSlider_Painter * painter_n )
{
	if ( _painter != painter_n ) {
		_painter = painter_n;
		if ( _buff_bg != 0 ) {
			_buff_bg->set_painter ( painter_n );
		}
		if ( _buff_handle != 0 ) {
			_buff_handle->set_painter ( painter_n );
		}
	}
}


} // End of namespace


