//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qslider_pixmaps_buffers_hpp__
#define __INC_qslider_pixmaps_buffers_hpp__

#include "qslider_pixmaps_config.hpp"
#include "qslider_painter.hpp"


namespace Wdg
{


///
/// @brief QSlider_Pixmaps_Buffers
///

class QSlider_Pixmaps_Buffers
{
	// Public methods
	public:

	QSlider_Pixmaps_Buffers ( );


	// Background buffer

	SPix::Shared_Pixmap_Set_Buffer *
	buff_bg ( ) const;

	void
	set_buff_bg (
		SPix::Shared_Pixmap_Set_Buffer * buff_n );


	// Handle buffer

	SPix::Shared_Pixmap_Set_Buffer *
	buff_handle ( ) const;

	void
	set_buff_handle (
		SPix::Shared_Pixmap_Set_Buffer * buff_n );


	// Painter

	Painter::QSlider_Painter *
	painter ( ) const;

	void
	set_painter (
		Painter::QSlider_Painter * painter_n );


	// Private attributes
	private:

	SPix::Shared_Pixmap_Set_Buffer * _buff_bg;

	SPix::Shared_Pixmap_Set_Buffer * _buff_handle;

	Painter::QSlider_Painter * _painter;
};


inline
SPix::Shared_Pixmap_Set_Buffer *
QSlider_Pixmaps_Buffers::buff_bg ( ) const
{
	return _buff_bg;
}


inline
SPix::Shared_Pixmap_Set_Buffer *
QSlider_Pixmaps_Buffers::buff_handle ( ) const
{
	return _buff_handle;
}


inline
Painter::QSlider_Painter *
QSlider_Pixmaps_Buffers::painter ( ) const
{
	return _painter;
}


} // End of namespace

#endif
