//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "qslider_pixmaps_config.hpp"


namespace Wdg
{


//
// QSlider_Pixmaps_Config_Bg
//
QSlider_Pixmaps_Config_Bg::QSlider_Pixmaps_Config_Bg ( ) :
ticks_max_idx ( 0 ),
ticks_range_max_idx ( 0 ),
ticks_range_start ( 0 ),
bg_show_image ( 0 ),
bg_tick_min_idx ( 0 )
{
}


bool
QSlider_Pixmaps_Config_Bg::equal (
	const Shared_Pixmap_Set_Config & cfg_n ) const
{
	bool res ( false );

	const QSlider_Pixmaps_Config_Bg * cfg_c (
		dynamic_cast < const QSlider_Pixmaps_Config_Bg  * > ( &cfg_n ) );

	if ( cfg_c != 0 ) {
		res = Shared_Pixmap_Set_Config::equal ( cfg_n );
		res = res && ( cfg_c->ticks_max_idx == ticks_max_idx );
		res = res && ( cfg_c->ticks_range_max_idx == ticks_range_max_idx );
		res = res && ( cfg_c->ticks_range_start == ticks_range_start );
		res = res && ( cfg_c->bg_show_image == bg_show_image );
		res = res && ( cfg_c->bg_tick_min_idx == bg_tick_min_idx );
	}

	return res;
}


SPix::Shared_Pixmap_Set_Config *
QSlider_Pixmaps_Config_Bg::new_clone ( ) const
{
	return new QSlider_Pixmaps_Config_Bg ( *this );
}



//
// QSlider_Pixmaps_Config_Handle
//

SPix::Shared_Pixmap_Set_Config *
QSlider_Pixmaps_Config_Handle::new_clone ( ) const
{
	return new QSlider_Pixmaps_Config_Handle ( *this );
}


//
// QSlider_Pixmaps_Config
//

void
QSlider_Pixmaps_Config::set_style_id (
	int id_n )
{
	bg.style_id = id_n;
	handle.style_id = id_n;
}


} // End of namespace


