//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qslider_pixmaps_config_hpp__
#define __INC_qslider_pixmaps_config_hpp__

#include "shared_pixmap_set.hpp"
#include "shared_pixmap_set_buffer.hpp"


namespace Wdg
{


///
/// @brief QSlider_Pixmaps_Config_Bg
///

class QSlider_Pixmaps_Config_Bg :
	public SPix::Shared_Pixmap_Set_Config
{
	// Public methods
	public:

	QSlider_Pixmaps_Config_Bg ( );

	bool
	equal (
		const Shared_Pixmap_Set_Config & cfg_n ) const;

	SPix::Shared_Pixmap_Set_Config *
	new_clone ( ) const;


	// Public attributes
	unsigned int ticks_max_idx;
	int ticks_range_max_idx;
	int ticks_range_start;

	// Style
	int bg_show_image;
	unsigned int bg_tick_min_idx; // Which tick has the minimum width
};


class QSlider_Pixmaps_Config_Handle :
	public SPix::Shared_Pixmap_Set_Config
{
	// Public methods
	public:

	SPix::Shared_Pixmap_Set_Config *
	new_clone ( ) const;
};



///
/// @brief QSlider_Pixmaps_Config
///

class QSlider_Pixmaps_Config
{
	// Public methods
	public:

	void
	set_style_id (
		int id_n );


	// Public attributes
	public:

	QSlider_Pixmaps_Config_Bg bg;

	QSlider_Pixmaps_Config_Bg handle;
};


} // End of namespace

#endif


