//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_qspinbox_float_hpp__
#define __INC_qspinbox_float_hpp__

#include <QSpinBox>
#include <iostream>


namespace Wdg {


class QSpinBox_Float :
	public QSpinBox
{

	public:

	QSpinBox_Float (
		QWidget * parent = 0 );

	void
	set_decimal_offset (
		int offset_n );


	// Protected methods
	protected:

	QString
	textFromValue (
		int value ) const;

	int
	valueFromText (
		const QString & text ) const;

	QValidator::State
	validate (
		QString & input, int & pos ) const;

	void
	fixup (
		QString & input ) const;


	// Private attributes
	private:

	int _decimal_offset;

	int _decimal_scale;
};



} // End of namespace

#endif


