//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "qwidget_painter.hpp"
#include <QApplication>


namespace Wdg
{
namespace Painter
{


QWidget_Painter::QWidget_Painter ( ) :
_current_style ( 0 )
{
}


QWidget_Painter::~QWidget_Painter ( )
{
	//std::cout << "~QWidget_Painter\n";
}


QPalette
QWidget_Painter::palette ( ) const
{
	return QApplication::palette();
}


void
QWidget_Painter::set_style (
	int index_n,
	const QWidget_Style * style_n )
{
	while ( _styles.size() < ( index_n + 1 ) ) {
		_styles.append ( style_n );
	}
	_styles[index_n] = style_n;
}


void
QWidget_Painter::set_current_style (
	int index_n )
{
	_current_style = index_n;
}


} // End of namespace
} // End of namespace
