//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_wdg_shared_pixmap_set_buffer_hpp__
#define __INC_wdg_shared_pixmap_set_buffer_hpp__

#include "shared_pixmap_set.hpp"
#include "shared_pixmap_set_painter.hpp"


namespace SPix
{


///
/// @brief Shared_Pixmap_Set_Buffer
///
class Shared_Pixmap_Set_Buffer
{
	public:

	Shared_Pixmap_Set_Buffer (
		int pixmap_type_n = 0 );

	~Shared_Pixmap_Set_Buffer ( );


	void
	clear ( );

	void
	clear_sets ( );


	// Pixmap type

	int
	pixmap_type ( ) const;

	void
	set_pixmap_type (
		int type_n );


	// Painter

	Shared_Pixmap_Set_Painter *
	painter ( ) const;

	void
	set_painter (
		Shared_Pixmap_Set_Painter * painter_n );


	// Buffer info

	int
	size ( ) const;


	// Image set accquiring an returning

	Shared_Pixmap_Set *
	acquire (
		const Shared_Pixmap_Set_Config & cfg_n );

	Shared_Pixmap_Set *
	return_acquire (
		Shared_Pixmap_Set * ret_pxmaps_n,
		const Shared_Pixmap_Set_Config & cfg_n );

	void
	return_pixmaps (
		Shared_Pixmap_Set * ret_pxmaps_n );


	// Protected methods
	protected:

	QList < Shared_Pixmap_Set * > &
	list ( );


	// Private attributes
	private:

	QList < Shared_Pixmap_Set * > _list;

	Shared_Pixmap_Set_Painter * _painter;

	int _pixmap_type;
};


inline
int
Shared_Pixmap_Set_Buffer::pixmap_type ( ) const
{
	return _pixmap_type;
}


inline
Shared_Pixmap_Set_Painter *
Shared_Pixmap_Set_Buffer::painter ( ) const
{
	return _painter;
}


inline
int
Shared_Pixmap_Set_Buffer::size ( ) const
{
	return _list.size();
}


} // End of namespace

#endif


