//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_sliders_pad_labels_hpp__
#define __INC_sliders_pad_labels_hpp__

#include "sliders_pad_style.hpp"
#include "sliders_pad_labels_vars.hpp"
#include "sliders_pad_widgets_group.hpp"

#include <QWidget>


namespace Wdg
{


///
/// @brief Sliders_Pad_Labels
///
class Sliders_Pad_Labels :
	public QWidget
{
	Q_OBJECT

	// Public methods
	public:

	Sliders_Pad_Labels (
		Sliders_Pad_Widgets_Group_List & widgets_n,
		Sliders_Pad_Style & style_n,
		QWidget * parent_n = 0 );


	QSize
	minimumSizeHint ( ) const;

	QSize
	sizeHint ( ) const;



	Sliders_Pad_Labels_Vars &
	vars ( );


	void
	update_widgets_graphics ( );

	void
	update_labels_transforms ( );

	void
	update_stem_graphics ( );


	// Protected methods
	protected:

	void
	enterEvent (
		QEvent * event_n );

	void
	leaveEvent (
		QEvent * event_n );

	void
	mousePressEvent (
		QMouseEvent * event_n );

	void
	mouseMoveEvent (
		QMouseEvent * event_n );

	void
	paintEvent (
		QPaintEvent * event_n );



	int
	find_label (
		QPoint pos_n );

	void
	set_group_focus (
		int group_idx_n );



	// Private attributes
	private:

	Sliders_Pad_Widgets_Group_List & _widgets_groups;

	Sliders_Pad_Style & _sp_style;

	Sliders_Pad_Labels_Vars _vars;

	int _weak_focus_idx;
};


inline
Sliders_Pad_Labels_Vars &
Sliders_Pad_Labels::vars ( )
{
	return _vars;
}


} // End of namespace


#endif


