//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "sliders_pad_proxies_group.hpp"


namespace Wdg
{


//
// Sliders_Pad_Proxies_Group
//

Sliders_Pad_Proxies_Group::Sliders_Pad_Proxies_Group (
	QObject * parent_n ) :
QObject ( parent_n ),
_num_sliders ( 0 ),
_num_switches ( 0 )
{
}


Sliders_Pad_Proxies_Group::~Sliders_Pad_Proxies_Group ( )
{
	clear_proxies_sets();
}


void
Sliders_Pad_Proxies_Group::clear_proxies_sets ( )
{
	if ( _proxies_sets.size() > 0 ) {
		for ( int ii=0; ii < _proxies_sets.size(); ++ii ) {
			delete _proxies_sets[ii];
		}
		_proxies_sets.clear();

		_num_sliders = 0;
		_num_switches = 0;
	}
}


void
Sliders_Pad_Proxies_Group::set_group_name (
	const QString & name_n )
{
	_group_name = name_n;
}


void
Sliders_Pad_Proxies_Group::set_tool_tip (
	const QString & tip_n )
{
	_tool_tip = tip_n;
}



} // End of namespace

