//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "sliders_pad_proxies_set.hpp"


namespace Wdg
{


//
// Sliders_Pad_Proxies_Set
//

Sliders_Pad_Proxies_Set::Sliders_Pad_Proxies_Set (
	QObject * parent_n ) :
QObject ( parent_n ),
_proxy_slider ( 0 ),
_proxy_switch ( 0 )
{
}


Sliders_Pad_Proxies_Set::~Sliders_Pad_Proxies_Set ( )
{
	clear_proxies();
}


void
Sliders_Pad_Proxies_Set::clear_proxies ( )
{
	if ( _proxy_slider != 0 ) {
		delete _proxy_slider;
		_proxy_slider = 0;
	}
	if ( _proxy_switch != 0 ) {
		delete _proxy_switch;
		_proxy_switch = 0;
	}
}


void
Sliders_Pad_Proxies_Set::set_slider_proxy (
	Sliders_Pad_Proxy_Slider * proxy_n )
{
	_proxy_slider = proxy_n;
}


void
Sliders_Pad_Proxies_Set::set_switch_proxy (
	Sliders_Pad_Proxy_Switch * proxy_n )
{
	_proxy_switch = proxy_n;
}


} // End of namespace

