//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_sliders_pad_proxies_set_hpp__
#define __INC_sliders_pad_proxies_set_hpp__

#include <QObject>
#include <QList>

#include "sliders_pad_proxy.hpp"
#include "sliders_pad_proxy_slider.hpp"
#include "sliders_pad_proxy_switch.hpp"


namespace Wdg
{


class Sliders_Pad_Proxies_Set :
	public QObject
{
	Q_OBJECT

	// Public methods
	public:

	Sliders_Pad_Proxies_Set (
		QObject * parent_n = 0 );

	virtual
	~Sliders_Pad_Proxies_Set ( );


	void
	clear_proxies ( );


	Sliders_Pad_Proxy_Slider *
	slider_proxy ( );

	void
	set_slider_proxy (
		Sliders_Pad_Proxy_Slider * proxy_n );


	Sliders_Pad_Proxy_Switch *
	switch_proxy ( );

	void
	set_switch_proxy (
		Sliders_Pad_Proxy_Switch * proxy_n );


	// Statistics

	bool
	has_slider ( ) const;

	bool
	has_switch ( ) const;


	// Private attributes
	private:

	Sliders_Pad_Proxy_Slider * _proxy_slider;

	Sliders_Pad_Proxy_Switch * _proxy_switch;
};


inline
Sliders_Pad_Proxy_Slider *
Sliders_Pad_Proxies_Set::slider_proxy ( )
{
	return _proxy_slider;
}


inline
Sliders_Pad_Proxy_Switch *
Sliders_Pad_Proxies_Set::switch_proxy ( )
{
	return _proxy_switch;
}


inline
bool
Sliders_Pad_Proxies_Set::has_slider ( ) const
{
	return ( _proxy_slider != 0 );
}


inline
bool
Sliders_Pad_Proxies_Set::has_switch ( ) const
{
	return ( _proxy_switch != 0 );
}


typedef QList < Sliders_Pad_Proxies_Set * > Sliders_Pad_Proxies_Set_List;


} // End of namespace


#endif

