//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "sliders_pad_proxy.hpp"


namespace Wdg
{


//
// Sliders_Pad_Proxy_Style_Info
//

Sliders_Pad_Proxy_Style_Info::Sliders_Pad_Proxy_Style_Info (
	unsigned int style_id_n ) :
style_id ( style_id_n ),
slider_minimum_idx ( 0 ),
slider_has_minimum ( false )
{
}


//
// Sliders_Pad_Proxy
//

Sliders_Pad_Proxy::Sliders_Pad_Proxy (
	QObject * parent_n ) :
QObject ( parent_n ),
_style_info ( 0 )
{
}


Sliders_Pad_Proxy::~Sliders_Pad_Proxy ( )
{
	if ( _style_info != 0 ) {
		delete _style_info;
	}
}


void
Sliders_Pad_Proxy::set_item_name (
	const QString & name_n )
{
	_item_name = name_n;
}


void
Sliders_Pad_Proxy::set_group_name (
	const QString & name_n )
{
	_group_name = name_n;
}


void
Sliders_Pad_Proxy::set_tool_tip (
	const QString & tip_n )
{
	_tool_tip = tip_n;
}


void
Sliders_Pad_Proxy::set_style_info (
	Sliders_Pad_Proxy_Style_Info * style_n )
{
	if ( _style_info != 0 ) {
		delete _style_info;
	}
	_style_info = style_n;
}


} // End of namespace

