//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "sliders_pad_proxy_slider.hpp"


namespace Wdg
{


//
// Sliders_Pad_Proxy_Slider
//

Sliders_Pad_Proxy_Slider::Sliders_Pad_Proxy_Slider (
	QObject * parent_n ) :
Sliders_Pad_Proxy ( parent_n ),
_slider_value ( 0 ),
_slider_min ( 0 ),
_slider_max ( 0 )
{
}


Sliders_Pad_Proxy_Slider::~Sliders_Pad_Proxy_Slider ( )
{
}


void
Sliders_Pad_Proxy_Slider::set_slider_min (
	long value_n )
{
	_slider_min = value_n;
}


void
Sliders_Pad_Proxy_Slider::set_slider_max (
	long value_n )
{
	_slider_max = value_n;
}


void
Sliders_Pad_Proxy_Slider::set_slider_range (
	long min_n,
	long max_n )
{
	_slider_min = min_n;
	_slider_max = max_n;
}


void
Sliders_Pad_Proxy_Slider::set_slider_value (
	int value_n )
{
	if ( value_n != _slider_value ) {
		_slider_value = value_n;
		this->slider_value_changed();
		emit sig_slider_value_changed ( slider_value() );
	}
}


void
Sliders_Pad_Proxy_Slider::slider_value_changed ( )
{
	// Dummy implementation
}


unsigned long
Sliders_Pad_Proxy_Slider::integer_distance (
	long int_min_n,
	long int_max_n )
{
	unsigned long res;

	if ( int_min_n > int_max_n ) {
		long tmp = int_max_n;
		int_max_n = int_min_n;
		int_min_n = tmp;
	}

	if ( ( int_min_n > 0 ) || ( int_max_n < 0 ) ) {
		// No integer overflow possible
		res = long ( int_max_n - int_min_n );
	} else {
		// Integer overflow possible
		res = int_max_n;
		++int_min_n;
		res += long ( -int_min_n );
		++res;
	}

	return res;
}


} // End of namespace

