//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_sliders_pad_proxy_slider_hpp__
#define __INC_sliders_pad_proxy_slider_hpp__

#include "sliders_pad_proxy.hpp"


namespace Wdg
{


///
/// @brief Sliders_Pad_Proxy_Slider
///
class Sliders_Pad_Proxy_Slider :
	public Sliders_Pad_Proxy
{
	Q_OBJECT;

	// Public methods
	public:

	Sliders_Pad_Proxy_Slider (
		QObject * parent_n = 0 );

	~Sliders_Pad_Proxy_Slider ( );


	long
	slider_min ( ) const;

	void
	set_slider_min (
		long value_n );


	long
	slider_max ( ) const;

	void
	set_slider_max (
		long value_n );


	void
	set_slider_range (
		long min_n,
		long max_n );

	long
	slider_value_max_idx ( ) const;


	long
	slider_value ( ) const;




	static
	unsigned long
	integer_distance (
		long int_min_n,
		long int_max_n );


	// Signals
	signals:

	void
	sig_slider_value_changed (
		int value_n );


	// Public slots
	public slots:

	void
	set_slider_value (
		int value_n );


	// Protected methods
	protected:

	virtual
	void
	slider_value_changed ( );


	// Private attributes
	private:

	long _slider_value;

	long _slider_min;

	long _slider_max;
};


inline
long
Sliders_Pad_Proxy_Slider::slider_min ( ) const
{
	return _slider_min;
}


inline
long
Sliders_Pad_Proxy_Slider::slider_max ( ) const
{
	return _slider_max;
}


inline
long
Sliders_Pad_Proxy_Slider::slider_value_max_idx ( ) const
{
	return integer_distance ( slider_min(), slider_max() );
}


inline
long
Sliders_Pad_Proxy_Slider::slider_value ( ) const
{
	return _slider_value;
}


} // End of namespace


#endif


