//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_sliders_pad_style_hpp__
#define __INC_sliders_pad_style_hpp__

#include <QPen>


namespace Wdg
{


///
/// @brief Sliders_Pad_Style
///
class Sliders_Pad_Style
{
	// Public methods
	public:

	Sliders_Pad_Style ( );

	qreal
	calc_center (
		unsigned int width_n,
		unsigned int num_cur_n ,
		unsigned int num_total_n ) const;


	// Public attributes

	qreal stem_corner_indent;
};


inline
qreal
Sliders_Pad_Style::calc_center (
	unsigned int width_n,
	unsigned int num_cur_n ,
	unsigned int num_total_n ) const
{
	unsigned int div_val ( width_n );

	if ( ( width_n % 2 ) == 0 ) {
		if ( num_cur_n >= ( num_total_n / 2 ) ) {
			++div_val;
		} else {
			--div_val;
		}
	}

	return qreal ( div_val ) / qreal ( 2.0 );
}


} // End of namespace


#endif


