//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "sliders_pad_widgets.hpp"


namespace Wdg
{


//
// Sliders_Pad_Widgets
//

Sliders_Pad_Widgets::Sliders_Pad_Widgets ( ) :
_slider ( 0 ),
_switch ( 0 ),
_pos ( 0 ),
_width ( 0 )
{
}


Sliders_Pad_Widgets::~Sliders_Pad_Widgets ( )
{
	clear_widgets();
}


void
Sliders_Pad_Widgets::set_slider (
	Slider_Type * wdg_n )
{
	_slider = wdg_n;
}


void
Sliders_Pad_Widgets::set_switch_wdg (
	Switch_Type * wdg_n )
{
	_switch = wdg_n;
}


void
Sliders_Pad_Widgets::clear_widgets ( )
{
	if ( _slider != 0 ) {
		delete _slider;
		_slider = 0;
	}
	if ( _switch != 0 ) {
		delete _switch;
		_switch = 0;
	}
}


bool
Sliders_Pad_Widgets::has_any_widget ( )
{
	return ( _slider != 0 ) || ( _switch != 0 );
}


void
Sliders_Pad_Widgets::set_all_visible (
	bool flag_n )
{
	if ( _slider != 0 ) {
		_slider->setVisible ( flag_n );
	}
	if ( _switch != 0 ) {
		_switch->setVisible ( flag_n );
	}
}


} // End of namespace

