//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_sliders_pad_widgets_hpp__
#define __INC_sliders_pad_widgets_hpp__

#include <QObject>
#include <QAbstractButton>

#include "sliders_pad_proxy.hpp"
#include "qslider.hpp"
#include "qcheck_box.hpp"


namespace Wdg
{


///
/// @brief Sliders_Pad_Widgets
///
class Sliders_Pad_Widgets
{
	// Public Typedefs
	public:

	typedef Wdg::QSlider Slider_Type;
	typedef Wdg::QCheck_Box Switch_Type;


	// Public methods
	public:

	Sliders_Pad_Widgets ( );

	~Sliders_Pad_Widgets ( );


	// Widgets

	Slider_Type *
	slider ( ) const;

	void
	set_slider (
		Slider_Type * wdg_n );

	Switch_Type *
	switch_wdg ( ) const;

	void
	set_switch_wdg (
		Switch_Type * wdg_n );


	// Geometry

	int
	pos ( ) const;

	void
	set_pos (
		int value_n );

	int
	width ( ) const;

	void
	set_width (
		int value_n );


	void
	clear_widgets ( );

	bool
	has_any_widget ( );



	void
	set_all_visible (
		bool flag_n );


	// Graphics

	const QPainterPath &
	ppath_top_focus ( ) const;

	QPainterPath &
	ppath_top_focus ( );


	// Private attributes
	private:

	Slider_Type * _slider;

	Switch_Type * _switch;

	int _pos;

	int _width;

	QPainterPath _ppath_top_focus;
};


inline
Sliders_Pad_Widgets::Slider_Type *
Sliders_Pad_Widgets::slider ( ) const
{
	return _slider;
}


inline
Sliders_Pad_Widgets::Switch_Type *
Sliders_Pad_Widgets::switch_wdg ( ) const
{
	return _switch;
}


inline
int
Sliders_Pad_Widgets::pos ( ) const
{
	return _pos;
}


inline
void
Sliders_Pad_Widgets::set_pos (
	int value_n )
{
	_pos = value_n;
}


inline
int
Sliders_Pad_Widgets::width ( ) const
{
	return _width;
}


inline
void
Sliders_Pad_Widgets::set_width (
	int value_n )
{
	_width = value_n;
}



inline
const QPainterPath &
Sliders_Pad_Widgets::ppath_top_focus ( ) const
{
	return _ppath_top_focus;
}


inline
QPainterPath &
Sliders_Pad_Widgets::ppath_top_focus ( )
{
	return _ppath_top_focus;
}


} // End of namespace


#endif


