//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "sliders_scroll_pad.hpp"

#include <QScrollBar>


namespace Wdg
{


//
// Mixer_Sliders
//
Sliders_Scroll_Pad::Sliders_Scroll_Pad (
	QWidget * parent_n ) :
QScrollArea ( parent_n ),
_sliders_pad ( this )
{
	setWidget ( &_sliders_pad );
	setWidgetResizable ( true );
	setVerticalScrollBarPolicy ( Qt::ScrollBarAlwaysOff );
}


QSize
Sliders_Scroll_Pad::minimumSizeHint ( ) const
{
	int ww ( 128 );
	int hh;

	const QSize cmsh ( _sliders_pad.minimumSizeHint() );

	hh = cmsh.height();
	if ( horizontalScrollBar() != 0 ) {
		hh += horizontalScrollBar()->sizeHint().height();
	}
	hh += 2*frameWidth();

	return QSize ( ww, hh );
}


} // End of namespace

