//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_switches_pad_hpp__
#define __INC_switches_pad_hpp__

#include <QWidget>

#include "pad_focus_info.hpp"
#include "switches_pad_proxies_group.hpp"
#include "switches_pad_widgets_group.hpp"


namespace Wdg
{


///
/// @brief Switches_Pad
///
class Switches_Pad :
	public QFrame
{
	Q_OBJECT

	// Public methods
	public:

	Switches_Pad (
		QWidget * parent_n = 0 );

	~Switches_Pad ( );


	Switches_Pad_Proxy_Group_List *
	proxies_groups ( ) const;

	void
	set_proxies_groups (
		Switches_Pad_Proxy_Group_List * groups_n );

	const Switches_Pad_Widgets_Group_List &
	widgets_groups ( ) const;



	const Pad_Focus_Info &
	focus_info ( );

	void
	set_focus_proxy (
		unsigned int proxies_group_idx_n,
		unsigned char proxy_idx_n );


	// Protected methods
	protected:

	void
	clear_widgets_groups ( );

	void
	create_widgets_groups ( );


	void
	update_layout ( );

	void
	update_focus_info ( );


	bool
	eventFilter (
		QObject * watched,
		QEvent * event );


	// Private attributes
	private:

	QFrame _vline;

	Switches_Pad_Proxy_Group_List * _proxies_groups;

	Switches_Pad_Widgets_Group_List _widgets_groups;

	Pad_Focus_Info _focus_info;
};


inline
Switches_Pad_Proxy_Group_List *
Switches_Pad::proxies_groups ( ) const
{
	return _proxies_groups;
}


inline
const Switches_Pad_Widgets_Group_List &
Switches_Pad::widgets_groups ( ) const
{
	return _widgets_groups;
}


inline
const Pad_Focus_Info &
Switches_Pad::focus_info ( )
{
	return _focus_info;
}


} // End of namespace


#endif

