//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "switches_pad_proxies_group.hpp"


namespace Wdg
{


//
// Switches_Pad_Proxies_Group
//

Switches_Pad_Proxies_Group::Switches_Pad_Proxies_Group (
	QObject * parent_n ) :
QObject ( parent_n ),
_is_switch ( false ),
_is_enum ( false )
{
}


Switches_Pad_Proxies_Group::~Switches_Pad_Proxies_Group ( )
{
	clear_proxies();
}


void
Switches_Pad_Proxies_Group::clear_proxies ( )
{
	if ( _proxies.size() > 0 ) {
		for ( int ii=0; ii < _proxies.size(); ++ii ) {
			delete _proxies[ii];
		}
		_proxies.clear();
	}
}


void
Switches_Pad_Proxies_Group::append_proxy (
	Switches_Pad_Proxy * proxy_n )
{
	_proxies.append ( proxy_n );
}


void
Switches_Pad_Proxies_Group::set_is_switch (
	bool flag_n )
{
	_is_switch = flag_n;
}


void
Switches_Pad_Proxies_Group::set_is_enum (
	bool flag_n )
{
	_is_enum = flag_n;
}


} // End of namespace

