//
// C++ Implementation:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "switches_pad_proxy.hpp"

#include <iostream>


namespace Wdg
{


//
// Switches_Pad_Proxy
//

Switches_Pad_Proxy::Switches_Pad_Proxy (
	QObject * parent_n ) :
QObject ( parent_n ),
_is_switch ( false ),
_is_enum ( false ),
_switch_state ( false ),
_enum_num_items ( 0 ),
_enum_index ( 0 )
{
}

Switches_Pad_Proxy::~Switches_Pad_Proxy ( )
{
}


void
Switches_Pad_Proxy::set_item_name (
	const QString & name_n )
{
	_item_name = name_n;
}


void
Switches_Pad_Proxy::set_tool_tip (
	const QString & tip_n )
{
	_tool_tip = tip_n;
}


void
Switches_Pad_Proxy::set_is_switch (
	bool flag_n )
{
	_is_switch = flag_n;
}


void
Switches_Pad_Proxy::set_is_enum (
	bool flag_n )
{
	_is_enum = flag_n;
}


void
Switches_Pad_Proxy::set_enum_num_items (
	int num_n )
{
	_enum_num_items = num_n;
}


QString
Switches_Pad_Proxy::enum_item_name (
	int )
{
	// Dummy implementation
	return QString();
}


void
Switches_Pad_Proxy::set_switch_state (
	bool flag_n )
{
	if ( flag_n != switch_state() ) {
		_switch_state = flag_n;
		this->switch_state_changed();
		emit sig_switch_state_changed ( switch_state() );
	}
}


void
Switches_Pad_Proxy::set_enum_index (
	int idx_n )
{
	if ( idx_n != enum_index() ) {
		_enum_index = idx_n;
		this->enum_index_changed();
		emit sig_enum_index_changed ( enum_index() );
	}
}


void
Switches_Pad_Proxy::switch_state_changed ( )
{
	// Dummy implementation
}


void
Switches_Pad_Proxy::enum_index_changed ( )
{
	// Dummy implementation
}



} // End of namespace

