//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_switches_pad_proxy_hpp__
#define __INC_switches_pad_proxy_hpp__

#include <QObject>
#include <QString>


namespace Wdg
{


///
/// @brief Switches_Pad_Proxy
///
class Switches_Pad_Proxy :
	public QObject
{
	Q_OBJECT

	// Public methods
	public:

	Switches_Pad_Proxy (
		QObject * parent_n = 0 );

	virtual
	~Switches_Pad_Proxy ( );


	// Item name

	const QString &
	item_name ( ) const;

	void
	set_item_name (
		const QString & name_n );


	// Tool tip

	const QString &
	tool_tip ( ) const;

	void
	set_tool_tip (
		const QString & tip_n );


	// Type flags

	bool
	is_switch ( ) const;

	void
	set_is_switch (
		bool flag_n );


	bool
	is_enum ( ) const;

	void
	set_is_enum (
		bool flag_n );


	int
	enum_num_items ( ) const;

	void
	set_enum_num_items (
		int num_n );

	virtual
	QString
	enum_item_name (
		int idx_n );


	bool
	switch_state ( ) const;

	int
	enum_index ( ) const;


	// Public slots
	public slots:

	void
	set_switch_state (
		bool flag_n );

	void
	set_enum_index (
		int idx_n );


	// Signals
	signals:

	void
	sig_switch_state_changed (
		bool state_n );

	void
	sig_enum_index_changed (
		int value_n );


	// Protected methods
	protected:

	virtual
	void
	switch_state_changed ( );

	virtual
	void
	enum_index_changed ( );


	// Private attributes
	private:

	bool _is_switch;

	bool _is_enum;


	bool _switch_state;

	int _enum_num_items;

	int _enum_index;

	QString _item_name;

	QString _tool_tip;
};


inline
const QString &
Switches_Pad_Proxy::item_name ( ) const
{
	return _item_name;
}



inline
const QString &
Switches_Pad_Proxy::tool_tip ( ) const
{
	return _tool_tip;
}



inline
bool
Switches_Pad_Proxy::is_switch ( ) const
{
	return _is_switch;
}


inline
bool
Switches_Pad_Proxy::is_enum ( ) const
{
	return _is_enum;
}


inline
bool
Switches_Pad_Proxy::switch_state ( ) const
{
	return _switch_state;
}


inline
int
Switches_Pad_Proxy::enum_num_items ( ) const
{
	return _enum_num_items;
}


inline
int
Switches_Pad_Proxy::enum_index ( ) const
{
	return _enum_index;
}


} // End of namespace


#endif


