//
// C++ Interface:
//
// Description:
//
//
// Author: Sebastian Holtermann <sebholt@xwmw.org>, (C) 2010
//
// Copyright: See COPYING file that comes with this distribution
//
//


#ifndef __INC_tree_view_controls_hpp__
#define __INC_tree_view_controls_hpp__

#include <QTreeView>
#include <QScrollBar>


namespace QSnd
{


///
/// @brief Tree_View_Controls
///
class Tree_View_Controls :
	public QTreeView
{
	Q_OBJECT

	// Public methods
	public:

	Tree_View_Controls (
		QWidget * parent = 0 );

	~Tree_View_Controls ( );


	QSize
	minimumSizeHint ( ) const;

	QSize
	sizeHint ( ) const;

	int
	sizeHintForColumn (
		int column ) const;


	void
	setModel (
		QAbstractItemModel * model_n );


	// Signals
	signals:

	void
	sig_layout_changed ( );


	// Protected slots
	protected slots:

	void
	model_layout_changed ( );


	// Protected methods
	protected:

	void
	currentChanged (
		const QModelIndex & current,
		const QModelIndex & previous );

	void
	update_maximum_size ( );


	// Private attributes
	private:

	int _show_rows_min;
	int _show_rows_avrg;
	int _min_str_len;
};


} // End of namespace


#endif


